// ConfigDlg.cpp : implementation file
//

#include "stdafx.h"
#include "plasma.h"
#include "ConfigDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfigDlg dialog


CConfigDlg::CConfigDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfigDlg)
	m_Drift = 0;
	m_frameRate = 0;
	m_maxPlasma = 0;
	m_minPlasma = 0;
	m_PlasmaSpeed = 0;
	m_DriftUp = -1;
	//}}AFX_DATA_INIT
}


void CConfigDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigDlg)
	DDX_Text(pDX, IDC_DRIFTRATE, m_Drift);
	DDV_MinMaxInt(pDX, m_Drift, 0, 10);
	DDX_Text(pDX, IDC_FRAMERATE, m_frameRate);
	DDV_MinMaxInt(pDX, m_frameRate, 1, 50);
	DDX_Text(pDX, IDC_MAXPLASMA, m_maxPlasma);
	DDV_MinMaxInt(pDX, m_maxPlasma, 20, 2000);
	DDX_Text(pDX, IDC_MINPLASMA, m_minPlasma);
	DDV_MinMaxInt(pDX, m_minPlasma, 20, 2000);
	DDX_Text(pDX, IDC_SPEED, m_PlasmaSpeed);
	DDV_MinMaxInt(pDX, m_PlasmaSpeed, 1, 200);
	DDX_Radio(pDX, IDC_DRIFTUP, m_DriftUp);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigDlg, CDialog)
	//{{AFX_MSG_MAP(CConfigDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfigDlg message handlers
