#if !defined(AFX_PREVIEWWND_H__E522DC54_2401_11D2_9B76_444553540000__INCLUDED_)
#define AFX_PREVIEWWND_H__E522DC54_2401_11D2_9B76_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PreviewWnd.h : header file
//

#ifndef ANIMATION
#include "animation.h"
#endif

/////////////////////////////////////////////////////////////////////////////
// CPreviewWnd window

class CPreviewWnd : public CWnd
{
// Construction
public:
	CPreviewWnd();

// Attributes
public:

// Operations

	void drawPlasma ( CDC * pDC , int plasma_size) ;

public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPreviewWnd)
	public:
	virtual BOOL Create(HWND hParentWnd);
	virtual BOOL DestroyWindow();
	protected:
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPreviewWnd();

public :
	int m_iTimer ;

	CDib osb ;

	CPalette masterPalette ;

	int screenWidth , screenHeight , screenBpp ;

	int cycleNum ;

	bool cycleUp ;

	float 
		angle1 ,
	    angle2 ,
	    angle3 ,
	    angle4 ,
	    angle5 ,
	    angle1bak , 
	    angle2bak ,
	    angle3bak ,
	    angle4bak ,
	    angle5bak ;

	unsigned char remap [256] ;

	int minPlasma , maxPlasma ,frameRate ;
		
	float drift , plasmaSpeed ;

	// Generated message map functions
protected:
	//{{AFX_MSG(CPreviewWnd)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnPaletteChanged(CWnd* pFocusWnd);
	afx_msg BOOL OnQueryNewPalette();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PREVIEWWND_H__E522DC54_2401_11D2_9B76_444553540000__INCLUDED_)
