#if !defined(AFX_SAVERWND_H__E522DC53_2401_11D2_9B76_444553540000__INCLUDED_)
#define AFX_SAVERWND_H__E522DC53_2401_11D2_9B76_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SaverWnd.h : header file
//

#ifndef ANIMATION
#include "animation.h"
#endif

/////////////////////////////////////////////////////////////////////////////
// CSaverWnd window

class CSaverWnd : public CWnd
{
// Construction
public:
	CSaverWnd();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSaverWnd)
	public:
	virtual BOOL Create();
	virtual BOOL DestroyWindow();
	protected:
	virtual void PostNcDestroy();
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSaverWnd();

public : 
	int m_iTimer ;

protected :
	bool askPassword () ;

	void drawPlasma ( CDC * pDC , int plasma_size) ;

	bool isWin95 ;

	bool askingPassword ;

	CTime startTime ;

	CPalette     masterPalette ;

	CDib         osb ;

	int screenWidth , screenHeight , screenBpp ;

	int cycleNum ;

	bool cycleUp ;

	float 
		angle1 ,
	    angle2 ,
	    angle3 ,
	    angle4 ,
	    angle5 ,
	    angle1bak , 
	    angle2bak ,
	    angle3bak ,
	    angle4bak ,
	    angle5bak ;

	unsigned char remap [256] ;

	int minPlasma , maxPlasma ,frameRate ;
		
	float drift , plasmaSpeed ;

	// Generated message map functions
protected:
	//{{AFX_MSG(CSaverWnd)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnPaletteChanged(CWnd* pFocusWnd);
	afx_msg BOOL OnQueryNewPalette();
	afx_msg void OnPaint();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SAVERWND_H__E522DC53_2401_11D2_9B76_444553540000__INCLUDED_)
